All Classes Namespaces Functions Variables Pages
VirtualSite Class Reference

A VirtualSite describes the rules for computing a particle's position based on other particles. More...

Inheritance diagram for VirtualSite:

## Public Member Functions

def | __init__
def | __del__
| del(OpenMM::VirtualSite self) More...
def | getNumParticles
| getNumParticles(VirtualSite self) -> int More...
def | getParticle
| getParticle(VirtualSite self, int particle) -> int More...

## Detailed Description

A VirtualSite describes the rules for computing a particle's position based on other particles.

This is an abstract class. Subclasses define particular rules. To define a virtual site, create an instance of a VirtualSite subclass and then call setVirtualSite() on the System.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args,
|  |  | kwargs
| ) |  |

def __del__ | ( |  | self | ) |

del(OpenMM::VirtualSite self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def getNumParticles | ( |  | self,
|  |  | args
| ) |  |

getNumParticles(VirtualSite self) -> int

Get the number of particles this virtual site depends on.

References simtk.openmm.openmm.stripUnits().

def getParticle | ( |  | self,
|  |  | args
| ) |  |

getParticle(VirtualSite self, int particle) -> int

Get the index of a particle this virtual site depends on.

Parameters

  particle | the particle to get (between 0 and getNumParticles())

References simtk.openmm.openmm.stripUnits().

The documentation for this class was generated from the following file:

- openmm.py